Skip to main content
GET
Retrieve a task

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

id
string
required

Task ID

Response

id
string
required

Unique task identifier

Maximum string length: 64
Example:

"48427a36d43c4d5aa6324bc06c692456"

status
enum<string>
required

Current task status

Available options:
done,
error,
login_error,
account_locked,
mfa_error,
config_error,
no_data,
unavailable,
unable_to_reset,
not_supported
Example:

"done"

product_type
enum<string>
required

Type of data product being processed

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
Example:

"income"

provider
object
required
created_at
string<date-time>
required

Task creation timestamp (ISO 8601)

Example:

"2022-06-07T15:00:00Z"

updated_at
string<date-time>
required

Task last update timestamp (ISO 8601)

Example:

"2022-06-07T15:30:00Z"

ID of the associated link (connection)

Maximum string length: 64
Example:

"48427a36d43c4d5aa6324bc06c692456"

user_id
string
required

ID of the user associated with this task

Example:

"48427a36d43c4d5aa6324bc06c692456"

error_message
string | null

Error details if task failed

Example:

"Invalid credentials provided"

tracking_info
string | null

Optional tracking information provided by partner

Example:

"0c8d444ff53947cd822efca7b3d9ef18"

bridge_token
string | null

Bridge token used for authentication

Example:

"2f67984a110747d190c39e1022c81837"

data_source
enum<string>

Source of the data collection

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax
Example:

"financial_accounts"

is_suspicious
boolean

Whether the task or link is flagged as suspicious

Example:

false

order_id
string | null

ID of the order associated with this task

Example:

"48427a36d43c4d5aa6324bc06c692456"